Operating System Requirements for LaCie Hardware & Software

HARDWARE

LaCie drives are compatible with most Windows and macOS systems, so that they can be easily connected to either Windows or macOS:

Windows® 10 or higher, or macOS® X 10.13 or higher operating system

SOFTWARE

Many LaCie drives come with Toolkit Software which supports:

Windows® 10 or higher, or macOS® X 10.13 or higher operating system.

  1. Most LaCie drives are formatted in exFAT so they work on both Windows and macOS
  2. Reformatting for use with Time Machine required.
  3. Compatibility may vary depending on user’s hardware configuration and operating system.